<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_cas', language 'th', branch 'MOODLE_36_STABLE'
 *
 * @package   auth_cas
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accescas'] = 'ผู้ใช้ CAS';
$string['accesCAS'] = 'ผู้ใช้ CAS';
$string['accesnocas'] = 'ผู้ใช้รายอื่น';
$string['accesNOCAS'] = 'ผู้ใช้อื่น ๆ';
$string['auth_cas_auth_user_create'] = 'สร้างผู้ใช้ภายนอก';
$string['auth_cas_baseuri'] = 'URI ของเซิร์ฟเวอร์ ตัวอย่างเช่น ในกรณีที่ CAS เซิร์ฟเวอร์ทำงานโต้ตอบกับ  host.domain.uk/CAS/   ค่าของ  cas_basuri= CAS/';
$string['auth_cas_baseuri_key'] = 'ฐาน URI';
$string['auth_cas_broken_password'] = 'คุณไม่สามารถดำเนินการได้โดยยังไม่ได้เปลี่ยนรหัสผ่านของคุณ แต่ไม่มีหน้าพร้อมสำหรับการเปลี่ยนพาสเวอร์ด โปรดติดต่อผู้ดูแล Totara ของคุณ';
$string['auth_cas_cantconnect'] = 'ส่วน LDAP ของ CAS โมดูลไม่สามารถเชื่อมต่อกับเซิร์ฟเวอร์: {$a}';
$string['auth_cas_casversion'] = 'CAS โปรโตคอลรุ่น';
$string['auth_cas_certificate_check'] = 'เลือก \'ใช่\' ถ้าคุณต้องการที่จะตรวจสอบใบรับรองเซิร์ฟเวอร์';
$string['auth_cas_certificate_check_key'] = 'การตรวจสอบเซิร์ฟเวอร์';
$string['auth_cas_certificate_path'] = 'เส้นทางของ CA (PEM รูปแบบ) เพื่อตรวจสอบใบรับรองเซิร์ฟเวอร์';
$string['auth_cas_certificate_path_empty'] = 'ถ้าคุณเปิดการตรวจสอบ Server คุณจำเป็นต้องระบุเส้นทางใบรับรอง';
$string['auth_cas_certificate_path_key'] = 'เส้นทางใบรับรอง';
$string['auth_cas_changepasswordurl'] = 'เปลี่ยนแปลงรหัสผ่าน URL';
$string['auth_cas_create_user'] = 'เปิดใช้งานค่านี้ถ้าหากต้องการแทรกการอนุมัติผ่าน CAS ในฐานข้อมูล Moodle  หากไม่เฉพาะสมาชิกที่อยู่ในฐานข้อมูลเท่านั้นจึงสามารถเข้าสู่ระบบได้';
$string['auth_cas_create_user_key'] = 'สร้างยูสเซอร์';
$string['auth_cas_curl_ssl_version'] = 'รุ่น SSL (2 หรือ 3) ในการใช้ โดยค่าเริ่มต้น PHP จะพยายามที่จะตรวจสอบด้วยตัวเอง  แม้ว่าในบางกรณีนี้จะต้องตั้งค่าด้วยตนเอง';
$string['auth_cas_curl_ssl_version_default'] = 'ค่าเริ่มต้น';
$string['auth_cas_curl_ssl_version_key'] = 'cURL SSL Version';
$string['auth_cas_curl_ssl_version_ssl3'] = 'SSLv3';
$string['auth_cas_curl_ssl_version_sslv2'] = 'SSLv2';
$string['auth_cas_curl_ssl_version_SSLv2'] = 'SSLv2';
$string['auth_cas_curl_ssl_version_SSLv3'] = 'SSLv3';
$string['auth_cas_curl_ssl_version_tlsv10'] = 'TLSv1.0';
$string['auth_cas_curl_ssl_version_TLSv10'] = 'TLSv1.0';
$string['auth_cas_curl_ssl_version_tlsv11'] = 'TLSv1.1';
$string['auth_cas_curl_ssl_version_TLSv11'] = 'TLSv1.1';
$string['auth_cas_curl_ssl_version_tlsv12'] = 'TLSv1.2';
$string['auth_cas_curl_ssl_version_TLSv12'] = 'TLSv1.2';
$string['auth_cas_curl_ssl_version_tlsv1x'] = 'TLSv1.x';
$string['auth_cas_curl_ssl_version_TLSv1x'] = 'TLSv1.x';
$string['auth_casdescription'] = 'วิธีนี้เป็นการใช้ CAS เซิร์ฟเวอร์ ( Central Authentication Service) เพื่ออนุมัติการเข้าใช้งานของสมาชิกเพื่อให้สามารถเข้าใช้งานแบบ Single Sign On environment (SSO) คือทำการตรวจสอบชื่อผู้ใช้และรหัสผ่านร่วมกับการอนุมัติผ่าน LDAP อย่างง่าย ในกรณีที่ชื่อผู้ใช้และรหัสผ่านถูกต้องตาม CAS   Moodle จะทำการสร้างสมาชิกใหม่ลงในฐานข้อมูลโดยนำข้อมูลผู้ใช้จาก LDAP หากจำเป็น ในการเข้าสู่ระบบครั้งต่อไประบบจะทำการตรวจสอบเฉพาะชื่อผู้ใช้และรหัสผ่านเท่านั้น';
$string['auth_cas_enabled'] = 'เปิดใช้งานค่านี้หากต้องการใช้งานการอนุมัติผ่าน CAS';
$string['auth_cas_hostname'] = 'ชื่อโฮสต์ของ CAS เซิร์ฟเวอร์ เช่น  host.domain.uk';
$string['auth_cas_hostname_key'] = 'ชื่อโฮสต์';
$string['auth_cas_invalidcaslogin'] = 'ขออภัยค่ะ เข้าสู่ระบบไม่สำเร็จคุณไม่ได้รับอนุญาตให้เข้าสู่ระบบ';
$string['auth_cas_language'] = 'เลือกภาษา';
$string['auth_cas_language_key'] = 'ภาษา';
$string['auth_cas_logincas'] = 'การเข้าสู่ระบบแบบความปลอดภัยสูง';
$string['auth_cas_logoutcas'] = 'เลือก \'ใช่\' ถ้าคุณต้องการที่จะออกจากระบบจาก CAS เมื่อคุณปลดการติดต่อจาก Totara';
$string['auth_cas_logoutcas_key'] = 'ตัวเลือกออกจากระบบ CAS';
$string['auth_cas_logout_return_url'] = 'ให้ URL ที่ผู้ใช้ CAS จะถูกเปลี่ยนเส้นทางไปหลังจากออกจากระบบ <br /> หากปล่อยทิ้งไว้ว่างเปล่า ผู้ใช้จะถูกเปลี่ยนเส้นทางไปยังตำแหน่งที่ Totara จะนำผู้ใช้ไป';
$string['auth_cas_logout_return_url_key'] = 'ออกจากระบบทางเลือก URL ที่กลับมา';
$string['auth_cas_multiauth'] = 'เลือก \'ใช่\' ถ้าคุณต้องการที่จะมีการตรวจสอบหลาย (CAS + ตรวจสอบอื่น ๆ )';
$string['auth_cas_multiauth_key'] = 'การตรวจสอบหลากหลาย';
$string['auth_casnotinstalled'] = 'ไม่สามารถใช้การตรวจสอบ CAS PHP เนื่องจากยัง ไม่ได้ติดตั้ง โมดูล LDAP';
$string['auth_cas_port'] = 'พอร์ตสำหรับ CAS เซิร์ฟเวอร์';
$string['auth_cas_port_key'] = 'พอร์ต';
$string['auth_cas_proxycas'] = 'เลือก \'ใช่\' ถ้าคุณใช้พร็อกซี CAS ในโหมด';
$string['auth_cas_proxycas_key'] = 'โหมดพร็อกซี่';
$string['auth_cas_server_settings'] = 'การตั้งค่า CAS เซิร์ฟเวอร์';
$string['auth_cas_text'] = 'การเข้าสู่ระบบความปลอดภัยสูง';
$string['auth_cas_use_cas'] = 'ใช้ CAS';
$string['auth_cas_version'] = 'เวอร์ชันของ CAS';
$string['casform'] = 'ตัวเลือกการตรวจสอบสิทธิ์';
$string['CASform'] = 'ทางเลือกการตรวจสอบสิทธิ์';
$string['noldapserver'] = 'ไม่มีเซิร์ฟเวอร์ LDAP การกำหนดค่าสำหรับ CAS! ซิงค์คนพิการ';
$string['pluginname'] = 'ใช้ CAS เซิร์ฟเวอร์ (SSO)';
$string['synctask'] = 'CAS users sync job';
