<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_generator', language 'th', branch 'MOODLE_36_STABLE'
 *
 * @package   tool_generator
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bigfile'] = '{$a} ไฟล์ขนาดใหญ่';
$string['courseexplanation'] = 'เครื่องมือนี้จะสร้างหลักสูตรการทดสอบมาตรฐานที่มีหลายส่วนกิจกรรมและไฟล์ นี้มีวัตถุประสงค์เพื่อให้การวัดที่เป็นมาตรฐานสำหรับการตรวจสอบความน่าเชื่อถือและประสิทธิภาพการทำงานของส่วนประกอบของระบบต่าง ๆ (เช่นการสำรองข้อมูลและเรียกคืน) การทดสอบนี้มีความสำคัญเนื่องจากมีได้หลายกรณีก่อนหน้านี้ที่ต้องเผชิญกับชีวิตจริงกรณีการใช้งาน (เช่นหลักสูตรที่มี 1,000 กิจกรรม) ระบบจะไม่ทำงาน หลักสูตรการสร้างขึ้นโดยใช้คุณลักษณะนี้สามารถครอบครองเป็นจำนวนมากของฐานข้อมูลและพื้นที่ระบบแฟ้ม (สิบกิกะไบต์) คุณจะต้องลบหลักสูตร (และรอการวิ่งการทำความสะอาดต่าง ๆ ) ที่จะปล่อยพื้นที่นี้อีกครั้ง ** อย่าใช้คุณสมบัตินี้ในระบบการถ่ายทอดสด ** ใช้เฉพาะบนเซิร์ฟเวอร์พัฒนา (เพื่อหลีกเลี่ยงความไม่ตั้งใจใช้คุณลักษณะนี้ถูกปิดใช้งานจนกว่าคุณจะได้เลือกนอกจากนี้ยังมีระดับการแก้จุดบกพร่องพัฒนา.)';
$string['coursesize_0'] = 'XS (~ 10KB; สร้างใน ~ 1 วินาที)';
$string['coursesize_1'] = 'S (~ 10MB; สร้างใน ~ 30 วินาที)';
$string['coursesize_2'] = 'M (~ 100MB; สร้างใน ~ 5 นาที)';
$string['coursesize_3'] = 'L (~ 1GB; สร้างใน ~ 1 ชั่วโมง)';
$string['coursesize_4'] = 'XL (~ 10 กิกะไบต์; สร้างใน ~ 4 ชั่วโมง)';
$string['coursesize_5'] = 'XXL (~ 20GB; สร้างใน ~ 8 ชั่วโมง)';
$string['coursewithoutusers'] = 'หลักสูตรที่เลือกมีผู้ใช้ไม่มี';
$string['createcourse'] = 'สร้างหลักสูตร';
$string['createtestplan'] = 'สร้างแผนการทดสอบ';
$string['creating'] = 'การสร้างหลักสูตร';
$string['done'] = 'ทำ ({$a}s)';
$string['downloadtestplan'] = 'ดาวน์โหลดแผนการทดสอบ';
$string['downloadusersfile'] = 'ดาวน์โหลดไฟล์ผู้ใช้';
$string['error_nocourses'] = 'มีหลักสูตรที่จะสร้างแผนการทดสอบที่มี';
$string['error_noforumdiscussions'] = 'หลักสูตรที่เลือกไม่ได้มีการอภิปรายในฟอรั่ม';
$string['error_noforuminstances'] = 'หลักสูตรที่เลือกไม่ได้มีกรณีโมดูลฟอรั่ม';
$string['error_noforumreplies'] = 'หลักสูตรที่เลือกไม่ได้มีคำตอบฟอรั่ม';
$string['error_nonexistingcourse'] = 'หลักสูตรที่ระบุไม่มีอยู่';
$string['error_nopageinstances'] = 'หลักสูตรที่เลือกไม่ได้มีกรณีโมดูลหน้า';
$string['error_notdebugging'] = 'ไม่สามารถใช้ได้บนเซิร์ฟเวอร์นี้เพราะการแก้จุดบกพร่องไม่ได้ตั้งค่าให้กับนักพัฒนา';
$string['error_nouserspassword'] = 'คุณจะต้องตั้ง $ CFG-&gt; tool_generator_users_password ใน config.php ในการสร้างแผนการทดสอบ';
$string['fullname'] = 'หลักสูตรการทดสอบ: {$a->size}';
$string['maketestcourse'] = 'สร้างหลักสูตรทดสอบ';
$string['maketestplan'] = 'ทำแผนทดสอบ JMeter';
$string['notenoughusers'] = 'หลักสูตรที่เลือกไม่ได้มีผู้ใช้มากพอ';
$string['pluginname'] = 'เครื่องกำเนิดไฟฟ้าข้อมูลการพัฒนา';
$string['progress_checkaccounts'] = 'การตรวจสอบบัญชีผู้ใช้ ({$a})';
$string['progress_coursecompleted'] = 'หลักสูตรเสร็จเรียบร้อยแล้ว ({$a}s)';
$string['progress_createaccounts'] = 'การสร้างบัญชีผู้ใช้ ({$a->from} - {$a->to})';
$string['progress_createassignments'] = 'ที่ได้รับมอบหมายการสร้าง ({$a})';
$string['progress_createbigfiles'] = 'การสร้างไฟล์ขนาดใหญ่ ({$a})';
$string['progress_createcourse'] = 'สร้าง {$a} หลักสูตร';
$string['progress_createforum'] = 'ฟอรั่มการสร้าง (โพสต์ {$a})';
$string['progress_createpages'] = 'การสร้างเพจ ({$a})';
$string['progress_createsmallfiles'] = 'การสร้างไฟล์เล็ก ({$a})';
$string['progress_enrol'] = 'การลงทะเบียนผู้ใช้แไปยังหลักสูตร({$a})';
$string['progress_sitecompleted'] = 'เว็บไซต์เสร็จสมบูรณ์ ({$a}s)';
$string['shortsize_0'] = 'XS';
$string['shortsize_1'] = 'S';
$string['shortsize_2'] = 'M';
$string['shortsize_3'] = 'L';
$string['shortsize_4'] = 'XL';
$string['shortsize_5'] = 'XXL';
$string['sitesize_0'] = 'XS (~ 10MB 3 หลักสูตรนี้ ถูกสร้างขึ้น ~ 30 วินาที)';
$string['sitesize_1'] = 'S (~ 50MB 8 หลักสูตรสร้างขึ้นใน ~ 2 นาที)';
$string['sitesize_2'] = 'M (~ 200MB; 73 หลักสูตรนี้ถูกสร้างขึ้น ~ 10 นาที)';
$string['sitesize_3'] = 'L (~ 1\'5GB; 277 หลักสูตรสร้างขึ้นใน ~ 1\'5 ชั่วโมง)';
$string['sitesize_4'] = 'XL (~ 10 กิกะไบต์; 1065 หลักสูตรนี้ถูกสร้างขึ้น ~ 5 ชั่วโมง)';
$string['sitesize_5'] = 'XXL (~ 20GB; 4177 หลักสูตรนี้ถูกสร้างขึ้น ~ 10 ชั่วโมง)';
$string['size'] = 'ขนาดของหลักสูตร';
$string['smallfiles'] = 'ไฟล์ขนาดเล็กต่างๆ';
$string['targetcourse'] = 'ทดสอบหลักสูตรเป้าหมาย';
$string['testplanexplanation'] = 'เครื่องมือนี้จะสร้างไฟล์แผนการทดสอบ JMeter พร้อมกับแฟ้มข้อมูลประจำตัวของผู้ใช้ การวางแผนการทดสอบนี้ถูกออกแบบมาเพื่อการทำงานพร้อมกับ {$a} ซึ่งจะทำให้ง่ายต่อการทำงานการวางแผนการทดสอบในสภาพแวดล้อม Totara เฉพาะรวบรวมข้อมูลเกี่ยวกับการทำงานและเปรียบเทียบผลเพื่อให้คุณจะต้องดาวน์โหลดและใช้งานได้สคริปต์ test_runner.sh หรือ ทำตามการติดตั้งและการใช้งานคำแนะนำ

คุณจำเป็นต้องตั้งค่ารหัสผ่านสำหรับผู้ใช้แน่นอนใน config.php (เช่น $ CFG-> tool_generator_users_password = \'Totara\';) ไม่มีค่าเริ่มต้นสำหรับรหัสผ่านนี้เพื่อป้องกันไม่ให้เกิดการใช้งานที่ไม่ได้ตั้งใจของเครื่องมือคือ

คุณจำเป็นต้องใช้รหัสผ่านการปรับปรุงตัวเลือกในกรณีที่ผู้ใช้หลักสูตรของคุณมีรหัสผ่านที่อื่น ๆ หรือพวกเขาจะถูกสร้างขึ้นโดย tool_generator แต่ไม่มีการตั้งค่า $ CFG-> ค่า tool_generator_users_password มันเป็นส่วนหนึ่งของ tool_generator จึงทำงานได้ดีกับหลักสูตรที่สร้างขึ้นโดยหลักสูตรและเครื่องกำเนิดไฟฟ้าเว็บไซต์นอกจากนี้ยังสามารถนำมาใช้กับการเรียนการสอนใด ๆ ที่มีอย่างน้อย:

* ผู้ใช้ที่ลงทะเบียนเรียนพอ (ขึ้นอยู่กับขนาดการวางแผนการทดสอบที่คุณเลือก) ด้วย รีเซ็ตรหัสผ่านเพื่อ \'Totara

* A page module instance
* อินสแตนซ์โมดูลฟอรั่มที่มีอย่างน้อยหนึ่งในการอภิปรายและตอบ
คุณอาจต้องการที่จะต้องพิจารณาความจุเซิร์ฟเวอร์ของคุณเมื่อใช้แผนการทดสอบมีขนาดใหญ่เป็นจำนวนเงินที่จะโหลดที่สร้างขึ้นโดย JMeter สามารถมีขนาดใหญ่เป็นพิเศษ . ระยะเวลาทางลาดขึ้นได้รับการปรับตามจำนวนกระทู้ (ผู้ใช้) เพื่อลดชนิดของปัญหานี้ แต่โหลดยังคงเป็นอย่างมาก

**Do not run the test plan on a live system**คุณลักษณะนี้จะสร้างไฟล์ที่จะเลี้ยง JMeter จึงไม่เป็นอันตรายด้วยตัวเอง แต่คุณควร**NEVER** ไม่เคยเรียกใช้แผนทดสอบนี้ในเว็บไซต์ของการใช้งานจริง';
$string['testplansize_0'] = 'XS (ผู้ใช้ {$a->users} ลูป {$a->loops} และระยะเวลาการ {$a->rampup} Rampup)';
$string['testplansize_1'] = 'S (ผู้ใช้ {$a->users} ห่วง {$a->loops} และระยะเวลาการ {$a->rampup} Rampup)';
$string['testplansize_2'] = 'M (ผู้ใช้ {$a->users} ลูป {$a->loops} และระยะเวลาการ {$a->rampup} Rampup)';
$string['testplansize_3'] = 'L (ผู้ใช้ {$a->users} ลูป {$a->loops} และระยะเวลาการ {$a->rampup} Rampup)';
$string['testplansize_4'] = 'XL (ผู้ใช้ {$a->users} ลูป {$a->loops} และระยะเวลาการ {$a->rampup} Rampup)';
$string['testplansize_5'] = 'XXL (ผู้ใช้ {$a->users} ห่วง {$a->loops} และระยะเวลาการ {$a->rampup} Rampup)';
$string['updateuserspassword'] = 'รหัสผ่านผู้ใช้หลักสูตรปรับปรุง';
$string['updateuserspassword_help'] = 'JMeter ความต้องการที่จะเข้าสู่ระบบเป็นผู้ใช้แน่นอนคุณสามารถตั้งค่ารหัสผ่านของผู้ใช้ที่ใช้ $ CFG-&gt; tool_generator_users_password ใน config.php; การตั้งค่านี้การปรับปรุงผู้ใช้รหัสผ่านหลักสูตรตาม $ CFG-&gt; tool_generator_users_password มันจะมีประโยชน์ในกรณีที่คุณกำลังใช้ไม่แน่นอนที่เกิดจาก tool_generator หรือ $ CFG-&gt; tool_generator_users_password ไม่ได้ตั้งค่าเมื่อคุณสร้างหลักสูตรการทดสอบ';
